using System.Collections.Generic;
using System.Linq;

namespace RowDragDrop
{
    public class Customer
    {
        public int Age { get; set; }
        public int? JobCode { get; set; }
        public string Name { get; set; }

        public static IList<Customer> GetAll()
        {
            return (from index in Enumerable.Range(1, 100)
                    select new Customer
                               {
                                   Age = index,
                                   Name = "Customer " + index,
                                   JobCode = 1000 + index
                               }).ToList();
        }

        public override string ToString()
        {
            return string.Format("Name: {0}, Age: {1}, JobCode: {2}", this.Name, this.Age, this.JobCode);
        }
    }
}